//<!--
//
// ident "$Id$ SMI"
//
// Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
// Use is subject to license terms.
//

var tokensTableId = "f1:p1:t1";

function initAllRows() {
    var table = document.getElementById(tokensTableId);
    table.initAllRows();
}

function disableActions() {
    var table = document.getElementById(tokensTableId);
    var selections = table.getAllSelectedRowsCount();
    var selected = (selections > 0) ? true : false;
    document.getElementById(tokensTableId + ":actionsTop:new").setDisabled(selected);
    document.getElementById(tokensTableId + ":actionsTop:delete").setDisabled(!selected);
    document.getElementById(tokensTableId + ":actionsTop:enable").setDisabled(!selected);
    document.getElementById(tokensTableId + ":actionsTop:disable").setDisabled(!selected);
    dropDown_setDisabled(tokensTableId + ":actionsTop:sessionActions", !selected);
}

function confirmDeleteSelectedRows() {
    var table = document.getElementById(tokensTableId);
    return table.confirmDeleteSelectedRows();
}

function filterMenuChanged() {
    var table = document.getElementById(tokenTableId);
    return table.filterMenuChanged();
}

//-->
